- Qt 5.5
- Qt3D Module
- C++ Classes
- QAbstractFunctor
- Qt 5.5.1 Reference Documentation

# QAbstractFunctor Class

(Qt3D::QAbstractFunctor)

- List of all members, including inherited members

## Public Functions

virtual | ~QAbstractFunctor()
const T * | functor_cast(const QAbstractFunctor * other) const
virtual qintptr | id() const = 0

## Member Function Documentation

### `[virtual]` QAbstractFunctor::~QAbstractFunctor()

### const T * QAbstractFunctor::functor_cast(const QAbstractFunctor * other) const

### `[pure virtual]` qintptr QAbstractFunctor::id() const